## com.saxonica.serialize
Class SerializerFactoryPE

    java.lang.Object
      net.sf.saxon.lib.SerializerFactory
          com.saxonica.serialize.SerializerFactoryPE

All Implemented Interfaces:
  Serializable

    public class SerializerFactoryPE

extends SerializerFactory

Saxon-PE extensions to the serializer factory

See Also:
  Serialized Form

Constructor Summary
`SerializerFactoryPE(Configuration config)`

Method Summary
`protected Receiver` `createSaxonSerializationMethod(String method, Properties props, PipelineConfiguration pipe, CharacterMapExpander characterMapExpander, ProxyReceiver normalizer)`

Methods inherited from class net.sf.saxon.lib.SerializerFactory

`createHTMLSerializer, createTextSerializer, createUserDefinedOutputMethod, createXHTMLSerializer, createXMLSerializer, getReceiver, getReceiver, getXMLStreamWriter, newCDATAFilter, newCharacterMapExpander, newContentHandlerProxy, newHTMLEmitter, newHTMLIndenter, newHTMLMetaTagAdjuster, newHTMLURIEscaper, newTEXTEmitter, newUncommittedSerializer, newUnicodeNormalizer, newXHTMLEmitter, newXHTMLIndenter, newXHTMLMetaTagAdjuster, newXHTMLURIEscaper, newXML10ContentChecker, newXMLEmitter, newXMLIndenter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerFactoryPE

    public SerializerFactoryPE(Configuration config)

Method Detail

### createSaxonSerializationMethod

    protected Receiver createSaxonSerializationMethod(String method,
                                                      Properties props,
                                                      PipelineConfiguration pipe,
                                                      CharacterMapExpander characterMapExpander,
                                                      ProxyReceiver normalizer)
                                               throws XPathException

  Overrides:
    `createSaxonSerializationMethod` in class `SerializerFactory`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.